<?php

namespace App\JsonRpc;

class WebsiteServiceInterface_f49a41f9a6036eae7bb55c749e4da75c extends \Hyperf\RpcClient\Proxy\AbstractProxyService implements WebsiteServiceInterface
{
    /**
     * @param string $keyword
     * @param int $page
     * @param int $pageSize
     */
    public function getWebsitetList(string $keyword, int $page, int $pageSize)
    {
        return $this->client->__call(__FUNCTION__, func_get_args());
    }
    /**
     * @param array $data
     * @return array
     */
    public function createWebsite(array $data)
    {
        return $this->client->__call(__FUNCTION__, func_get_args());
    }
    /**
     * @param int $id
     * @param array $data
     * @return array
     */
    public function updateWebsite(int $id, array $data)
    {
        return $this->client->__call(__FUNCTION__, func_get_args());
    }
    /**
     * @param int $id
     * @return array
     */
    public function delWebsite(int $id)
    {
        return $this->client->__call(__FUNCTION__, func_get_args());
    }
    /**
     * 查询网站信息
     * @param int $id
     * @return array
     */
    public function getWebsiteInfo(int $id)
    {
        return $this->client->__call(__FUNCTION__, func_get_args());
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteColumn(array $data)
    {
        return $this->client->__call(__FUNCTION__, func_get_args());
    }
    /**
     * @param string $keyword
     * @param int $page
     * @param int $pageSize
     */
    public function getWebsiteColumnList(string $keyword, int $page, int $pageSize)
    {
        return $this->client->__call(__FUNCTION__, func_get_args());
    }
    /**
     * @param array $data
     * @return array
     */
    public function createWebsiteColumn(array $data)
    {
        return $this->client->__call(__FUNCTION__, func_get_args());
    }
    /**
     * @param int $id
     * @param array $data
     * @return array
     */
    public function updateWebsiteColumn(int $id, array $data)
    {
        return $this->client->__call(__FUNCTION__, func_get_args());
    }
    /**
     * @param int $id
     * @return array
     */
    public function delWebsiteColumn(int $id)
    {
        return $this->client->__call(__FUNCTION__, func_get_args());
    }
    /**
     * @param string $keyword
     * @param int $page
     * @param int $pageSize
     */
    public function getWebsiteRoleList(string $keyword, int $page, int $pageSize, int $websiteId)
    {
        return $this->client->__call(__FUNCTION__, func_get_args());
    }
    /**
     * @param array $data
     * @return array
     */
    public function createWebsiteRole(array $data)
    {
        return $this->client->__call(__FUNCTION__, func_get_args());
    }
    /**
     * @param int $id
     * @param array $data
     * @return array
     */
    public function updateWebsiteRole(int $id, array $data)
    {
        return $this->client->__call(__FUNCTION__, func_get_args());
    }
    /**
     * @param int $id
     * @return array
     */
    public function delWebsiteRole(int $id)
    {
        return $this->client->__call(__FUNCTION__, func_get_args());
    }
    /**
     * @param string $keyword
     * @param int $page
     * @param int $pageSize
     */
    public function getWebsiteRoleUserList(string $keyword, int $page, int $pageSize, int $websiteId, int $roleId)
    {
        return $this->client->__call(__FUNCTION__, func_get_args());
    }
    /**
     * @param array $data
     * @return array
     */
    public function createWebsiteRoleUser(array $data)
    {
        return $this->client->__call(__FUNCTION__, func_get_args());
    }
    /**
     * @param int $id
     * @param array $data
     * @return array
     */
    public function updateWebsiteRoleUser(int $id, array $data)
    {
        return $this->client->__call(__FUNCTION__, func_get_args());
    }
    /**
     * @param int $id
     * @return array
     */
    public function delWebsiteRoleUser(int $id)
    {
        return $this->client->__call(__FUNCTION__, func_get_args());
    }
}